## org.biojava.bio.seq.io.agave
Class AGAVETranscriptHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXFeatureHandler
              org.biojava.bio.seq.io.agave.AGAVETranscriptHandler

All Implemented Interfaces:
  AGAVEEvidenceCallbackItf, StAXContentHandler

    public class AGAVETranscriptHandler

extends StAXFeatureHandler
implements AGAVEEvidenceCallbackItf

transcript

Author:
  Hanning Ni Doubletwist Inc

Field Summary
`static StAXHandlerFactory` `AGAVE_TRANSCRIPT_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`annot, callbackStack, endLoc, featureListener, featureTemplate, myLocalName, stackLevel, startLoc, staxenv, subFeatures`

Method Summary
`void` `addElementId(String id)`
`void` `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`addFeatureToSequence, addHandler, createTemplate, endElement, endElementHandler, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, realizeSubFeatures, setFeatureListener, setHandlerCharacteristics, setProperty, startElement`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_TRANSCRIPT_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_TRANSCRIPT_HANDLER_FACTORY

Method Detail

### addElementId

    public void addElementId(String id)

  Specified by:
    `addElementId` in interface `AGAVEEvidenceCallbackItf`

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)
                             throws SAXException

  Description copied from class: `StAXFeatureHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXFeatureHandler`
  Throws:
    `SAXException`